Subject: Re: [PANRG] IRSG ballot closed: <draft-irtf-panrg-questions-09.txt> to Informational RFC

From: Brian Trammell (IETF) <[email-masked]>
Date: Mon, 11 Oct 2021 15:21:42 +0200

hi Spencer, hi PANRG,

Apologies for the delay getting back to you all on this.

> On 1 Sep 2021, at 15:57, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Hi, Brian,
> 
> On Mon, Aug 9, 2021 at 11:28 AM Colin Perkins <[email-masked]> wrote:
> H Brian,
> 
> The IRSG poll has completed on this draft. There’s a comment from Stephen Farrell in the tracker at https://datatracker.ietf.org/doc/draft-irtf-panrg-questions/ballot/irsg/ that should be answered, otherwise this looks ready to go for IESG conflict review prior to publication.
> 
> I think you're back, tanned, rested, and ready for more exciting PANRG publishing? Assuming so ... 
> 
> https://datatracker.ietf.org/doc/draft-irtf-panrg-questions/ completed IRSG balloting, and has more than enough YES ballots to be published after you've had a chance to consider comments received during balloting. 
> 
> Could you take a look at Stephen's comment in his ballot, and let us know how you'd like to address this?

I've had a look at Stephen's comments three times now in the past month (and got interrupted and dropped state while considering the right response to them twice). 

The path identification problem is an interesting one, and I expect that the semantic level(s) at which a path-aware internetworking architecture emphasize making path identification available is a function of the problems they set out to solve. 

In SCION, path selelection is made at the AS level, which network engineers are familiar using for path identification and preference, but is not really accessible to endpoint operators and end users who are not also network engineers. SCION is trying to fix security problems with BGP from the traffic originator's point of view, so that makes sense.

Various "Schengen routing" proposals have assumed the existence of network-path-element to jurisdiction mapping (a mapping which is, of course, not valid with the current BGP routing table), which are useful when the lack of data and network sovereignty in the global Internet is the problem you are trying to solve.

In general, the model I've had for path-aware networks is that a path will be selected based upon its properties as opposed to its identity, which is probably why these aspects are missing from the doc. But especially in a world coming from BGP-based traffic engineering, we're likely to see path-awareness emerging in terms of identity-based selection, so we should address this.

Thanks, Stephen!  New rev incoming. 

Cheers,

Brian

> Best,
> 
> Spencer, the document shepherd, currently with one sheep
> _______________________________________________
> Panrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/panrg